using Register_office.Model;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Register_office;

public partial class Person
{
	[Display(Name = "hide")]
	public int PersonId { get; set; }

	[Display(Name = "Отчество")]
	public string LastName { get; set; } = null!;

	[Display(Name = "Имя")]
	public string FirstName { get; set; } = null!;

	[Display(Name = "Фамилия")]
	public string? MiddleName { get; set; }

	[Display(Name = "Дата рождения")]
	public DateOnly BirthDate { get; set; }

	[Display(Name = "Адрес")]
	public string Address { get; set; } = null!;

	[Display(Name = "Пол")]
	public string Gender { get; set; } = null!;

	[Browsable(false)]
	public virtual Doctor? Doctor { get; set; }

	[Browsable(false)]
	public virtual Patient? Patient { get; set; }

	[Browsable(false)]
	public virtual Registrar? Registrar { get; set; }
}
